<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fu...
+--------------------------------------------------------+
| Filename: missing_profile_info_panel.php
| Version: 1.01
| Author: Fangree Productions
| Developers: Fangree_Craig  & Daredevil & W3C_Valid
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licen... Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."missing_profile_info_panel/infusion_db.php";
if (file_exists(INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."missing_profile_info_panel/locale/English.php";
}

function chk_field($field, $exp){
	global $userdata;
	if ($result = dbrows(dbquery("SELECT field_name FROM ".DB_USER_FIELDS." WHERE field_name ='$field'")) > 0){
		if ($userdata[$field] == $exp){
			return true;
		}
	} else {
		return false;
	}
}

if (iMEMBER && !iSUPERADMIN) {

	global $userdata;
	
	$mpisettings = dbarray(dbquery("SELECT * FROM ".DB_MPI_TABLE));
	
	if(($mpisettings['avatarenable'] == '1' && $userdata['user_avatar'] == "") || ($mpisettings['aimenable'] == '1' && chk_field("user_aim", "")) || ($mpisettings['birthdateenable'] == '1' && chk_field("user_birthdate", "0000-00-00")) || ($mpisettings['browserenable'] == '1' && chk_field("user_browser", "")) || ($mpisettings['icqenable'] == '1' && chk_field("user_icq", "")) || ($mpisettings['genderenable'] == '1' && chk_field("user_gender", "")) || ($mpisettings['locationenable'] == '1' && chk_field("user_location", "")) || ($mpisettings['pfverenable'] =='1' && chk_field("user_version", "")) || ($mpisettings['countryenable'] == '1' && chk_field("user_country", "0")) || ($mpisettings['msnenable'] == '1' && chk_field("user_msn", "")) || ($mpisettings['sigenable'] == '1' && chk_field("user_sig", "")) || ($mpisettings['webenable'] == '1' && chk_field("user_web", "")) || ($mpisettings['yahooenable'] == '1' && chk_field("user_yahoo", ""))) {
		
		echo "<div class='admin-message'>\n";
		
		$message = nl2br(parseubb(parsesmileys($mpisettings['mpi_msg']), "url|img|b|i|u|left|center|right|small|big|color"));
		
		echo $message;
		echo "<hr />\n";
		
		if($mpisettings['avatarenable'] == '1' && $userdata['user_avatar'] == "") {
			echo  $locale['mpi009'] ;
		}
		
		if($mpisettings['aimenable'] == '1') {
			$aim = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_aim'");
			if (dbrows($aim) ) {
				if ($userdata['user_aim'] == "") {
					echo $locale['mpi002'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET aimenable=0");
			}
		}
		
		if($mpisettings['birthdateenable'] == '1') {
			$birthdate = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_birthdate'");
			if (dbrows($birthdate) ) {
				if ($userdata['user_birthdate'] == "0000-00-00") {
					echo $locale['mpi003'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET birthdateenable=0");
			}
		}
		
		if($mpisettings['browserenable'] == '1') {
			$browser = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_browser'");
			if (dbrows($browser) ) {
				if ($userdata['user_browser'] == "") {
					echo $locale['mpi014'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET browserenable=0");
			}
		}
		
		if($mpisettings['icqenable'] == '1') {
			$icq = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_icq'");;
			if (dbrows($icq) ) {
				if ($userdata['user_icq'] == "") {
					echo $locale['mpi004'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET icqenable=0");
			}
		}
		
		if($mpisettings['genderenable'] == '1') {
			$gender = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_gender'");;
			if (dbrows($gender) ) {
				if ($userdata['user_gender'] == "") {
					echo $locale['mpi011'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET genderenable=0");
			}
		}
		
		if($mpisettings['locationenable'] == '1') {
			$location = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_location'");
			if (dbrows($location) ) {
				if ($userdata['user_location'] == "") {
					echo $locale['mpi005'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET locationenable=0");
			}
		}
		
		if($mpisettings['pfverenable'] == '1') {
			$pfversion = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_version'");
			if (dbrows($pfversion) ) {
				if ($userdata['user_version'] == "") {
					echo $locale['mpi015'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET pfverenable=0");
			}
		}
		
		if($mpisettings['countryenable'] == '1') {
			$country = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_country'");
			if (dbrows($country) ) {
				if ($userdata['user_country'] == "0") {
					echo $locale['mpi012'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET countryenable=0");
			}
		}
		
		if($mpisettings['msnenable'] == '1') {
			$msn = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_msn'");
			if (dbrows($msn) ) {
				if ($userdata['user_msn'] == "") {
					echo $locale['mpi006'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET msnenable=0");
			}
		}
		
		if($mpisettings['sigenable'] == '1') {
			$sig = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_sig'");
			if (dbrows($sig) ) {
				if ($userdata['user_sig'] == "") {
					echo $locale['mpi010'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET sigenable=0");
			}
		}
		
		if($mpisettings['webenable'] == '1') {
			$web = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_web'");
			if (dbrows($web) ) {
				if ($userdata['user_web'] == "") {
					echo $locale['mpi007'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET webenable=0");
			}
		}
		
		if($mpisettings['yahooenable'] == '1') {
			$yahoo = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_yahoo'");
			if (dbrows($yahoo) ) {
				if ($userdata['user_yahoo'] == "") {
					echo $locale['mpi008'] ;
				}
			} else {
				$result = dbquery("UPDATE ".DB_MPI_TABLE." SET yahooenable=0");
			}
		}
		echo "</div>\n";
	}
}	
?>