<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author :  Nick Jones
| Infusion Author: Fangree Productions
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."missing_profile_info_panel/infusion_db.php";

if (file_exists(INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."missing_profile_info_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inf_title'];
$inf_description = $locale['inf_description'];
$inf_version = "1.01";
$inf_developer = "Fangree Productions";
$inf_email = "admin@fangree.co.uk";
$inf_weburl = "http://www.fangree.co.uk";

$inf_folder = "missing_profile_info_panel";

$inf_newtable[1] = DB_MPI_TABLE." (
mpi_msg TEXT NOT NULL,
avatarenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
aimenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
birthdateenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
browserenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
icqenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
genderenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
locationenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
pfverenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
countryenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
msnenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
sigenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
webenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
yahooenable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_MPI_TABLE." (mpi_msg, avatarenable, aimenable, birthdateenable, browserenable, icqenable, genderenable, locationenable, pfverenable, countryenable, msnenable, sigenable, webenable, yahooenable) VALUES('".$locale['mpi001']."', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0')";
$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['inf_title']."', panel_filename='".$inf_folder."', panel_content='', panel_side=2, panel_order='1', panel_type='file', panel_access='101', panel_display='1', panel_status='1'";
$inf_droptable[1] = DB_MPI_TABLE;
$inf_deldbrow[1] = DB_PANELS." WHERE panel_name='".$locale['inf_title']."'";
$inf_adminpanel[1] = array(
	"title" => $locale['inf_title'],
	"image" => "infusion_panel.gif",
	"panel" => "missing_profile_info_panel_admin.php",
	"rights" => "MPI"
);

?>