<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Type: Missing Profile Info Panel
| Name:  Panel
| Version: 1.01
| Filename: missing_profile_info_panel_admin.php
| Author: Fangree Productions
| Developers: Fangree_Craig, W3C_Valid
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."missing_profile_info_panel/infusion_db.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
if (!checkrights("MPI") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
include INFUSIONS."missing_profile_info_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
include INFUSIONS."missing_profile_info_panel/locale/English.php";
}

add_to_title($locale['global_200'].$locale['mpi_admin01']);

$mpi_msg = "";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['mpi_saved'];
	} elseif ($_GET['status'] == "nsu") {
		$message = $locale['mpi_not_saved'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['mpi_save'])) {
	$mpi_msg = addslash(descript($_POST['mpi_msg']));
    $avatarenable=(isset($_POST['avatarenable']) && isNum($_POST['avatarenable'])) ? $_POST['avatarenable'] : "0";
	$aimenable=(isset($_POST['aimenable']) && isNum($_POST['aimenable'])) ? $_POST['aimenable'] : "0";	
	$birthdateenable=(isset($_POST['birthdateenable']) && isNum($_POST['birthdateenable'])) ? $_POST['birthdateenable'] : "0";
	$browserenable=(isset($_POST['browserenable']) && isNum($_POST['browserenable'])) ? $_POST['browserenable'] : "0";
	$icqenable=(isset($_POST['icqenable']) && isNum($_POST['icqenable'])) ? $_POST['icqenable'] : "0";
	$genderenable=(isset($_POST['genderenable']) && isNum($_POST['genderenable'])) ? $_POST['genderenable'] : "0";
	$locationenable=(isset($_POST['locationenable']) && isNum($_POST['locationenable'])) ? $_POST['locationenable'] : "0";	
	$pfverenable=(isset($_POST['pfverenable']) && isNum($_POST['pfverenable'])) ? $_POST['pfverenable'] : "0";	
	$countryenable=(isset($_POST['countryenable']) && isNum($_POST['countryenable'])) ? $_POST['countryenable'] : "0";	
	$msnenable=(isset($_POST['msnenable']) && isNum($_POST['msnenable'])) ? $_POST['msnenable'] : "0";
	$sigenable=(isset($_POST['sigenable']) && isNum($_POST['sigenable'])) ? $_POST['sigenable'] : "0";
	$webenable=(isset($_POST['webenable']) && isNum($_POST['webenable'])) ? $_POST['webenable'] : "0";
	$yahooenable=(isset($_POST['yahooenable']) && isNum($_POST['yahooenable'])) ? $_POST['yahooenable'] : "0";
	$result = dbquery("UPDATE ".DB_MPI_TABLE." SET 	
	mpi_msg='$mpi_msg', 
	avatarenable='$avatarenable', 
	aimenable='$aimenable', 
	birthdateenable='$birthdateenable', 
	browserenable='$browserenable', 
	icqenable='$icqenable', 
	genderenable='$genderqenable', 
	locationenable='$locationenable', 
	pfverenable='$pfverenable', 
	countryenable='$countryenable',
	msnenable='$msnenable', 
	sigenable='$sigenable', 
	webenable='$webenable', 
	yahooenable='$yahooenable'");	
	
	if (!$result) { 
		redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
		redirect(FUSION_SELF.$aidlink."&status=su");
	}
}

$mpisettings = dbarray(dbquery("SELECT * FROM ".DB_MPI_TABLE));


opentable($locale['mpi_admin01']);
echo"<center><div class='admin-message' style='width:70%' >".$locale['mpi_admin02']."</div></center>";

echo "<form name='mpi_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";

echo "<table cellpadding='0' cellspacing='0' width='70%' align='center' class='tbl-border'>\n<tr>\n";

echo "<td class='tbl' align='Center'  width='70%' valign='top'>".$locale['mpi_admin12']."</td></tr>\n";
echo "<tr><td class='tbl' align='center'><textarea rows='3' name='mpi_msg' class='textbox' style='width:400px'>".stripslashes($mpisettings['mpi_msg'])."</textarea>\n";
echo display_bbcodes("340px", "mpi_msg", "mpi_form", "url|b|i|u|left|center|right|small|big|color")."\n";
echo "</td></tr</table>\n";
echo"<br />\n";
echo "<table cellpadding='0' cellspacing='0' width='70%' align='center' class='tbl-border'>\n<tr>\n";
echo "<tr>\n";
// User Avatar
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin10']."</td>\n";
echo "<td class='tbl' align='right'><select name='avatarenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['avatarenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['avatarenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

// User AIM
$aim = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_aim'");
if (dbrows($aim) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin03']."</td>\n";
echo "<td class='tbl' align='right'><select name='aimenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['aimenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['aimenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET aimenable=0");
}

//User Birthdate
$birthdate = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_birthdate'");
if (dbrows($birthdate) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin04']."</td>\n";
echo "<td class='tbl' align='right'><select name='birthdateenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['birthdateenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['birthdateenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET birthdateenable=0");
}

//User Browser
$browser = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_browser'");
if (dbrows($browser) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin16']."</td>\n";
echo "<td class='tbl' align='right'><select name='browserenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['browserenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['browserenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET browserenable=0");
}

//User ICQ
$icq = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_icq'");
if (dbrows($icq) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin05']."</td>\n";
echo "<td class='tbl' align='right'><select name='icqenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['icqenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['icqenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET icqenable=0");
}

//User Gender
$gender = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_gender'");
if (dbrows($gender) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin14']."</td>\n";
echo "<td class='tbl' align='right'><select name='genderenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['genderenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['genderenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET genderenable=0");
}



//User Location
$location = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_location'");
if (dbrows($location) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin06']."</td>\n";
echo "<td class='tbl' align='right'><select name='locationenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['locationenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['locationenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET locationenable=0");
}

//User PHP-Fusion Version
$pfversion = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_version'");
if (dbrows($pfversion) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin17']."</td>\n";
echo "<td class='tbl' align='right'><select name='pfverenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['pfverenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['pfverenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET pfverenable=0");
}

//User Country
$country = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_country'");
if (dbrows($country) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin15']."</td>\n";
echo "<td class='tbl' align='right'><select name='countryenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['countryenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['countryenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET countryenable=0");
}

//User MSN
$msn = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_msn'");
if (dbrows($msn) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin07']."</td>\n";
echo "<td class='tbl' align='right'><select name='msnenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['msnenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['msnenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET msnenable=0");
}

// User Sig
$sig = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_sig'");
if (dbrows($sig) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin11']."</td>\n";
echo "<td class='tbl' align='right'><select name='sigenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['sigenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['sigenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET sigenable=0");
}

//User Web
$web = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_web'");
if (dbrows($web) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin08']."</td>\n";
echo "<td class='tbl' align='right'><select name='webenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['webenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['webenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET webenable=0");
}

//User Yahoo
$yahoo = dbquery("SHOW COLUMNS FROM ".DB_USERS. " LIKE 'user_yahoo'");
if (dbrows($yahoo) ) {
echo "<td width='70%' class='tbl' align='left' valign='top'>".$locale['mpi_admin09']."</td>\n";
echo "<td class='tbl' align='right'><select name='yahooenable' class='textbox'>\n";
echo "<option value='1'".($mpisettings['yahooenable'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($mpisettings['yahooenable'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>";
}else{
$result = dbquery("UPDATE ".DB_MPI_TABLE." SET yahooenable=0");
}
echo"<tr>\n";

echo "<td colspan='2' class='tbl2' style='vertical-align:middle;' align='center'><input type='submit' class='button'  name='mpi_save' value='".$locale['mpi_save']."' />";
echo "</td></tr>\n";
echo "</table>\n";

echo "</form>\n";
// Please do not remove copyright info
 include INFUSIONS."missing_profile_info_panel/copyright_func.php";
 echo showMPIcopyright();
// End copyright info
closetable();

require_once THEMES."templates/footer.php";

?> 